Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Abmessungen, Längen in Excel exportieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Abmessungen, Längen in Excel exportieren (5740 mal gelesen)
loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 12. Dez. 2006 23:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!

Gibt es eine Möglichtkeit Abmessungen in eine Excel- Datei zu konvertieren. Ich müßte da eine Menge an Leitungslängen herausmessen und mit diesen Längen im Excel weiterarbeiten.

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 13. Dez. 2006 08:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Auch Hallo !
Grundsätzlich geht das schon, aber um Daten nach Excel zu schicken muß man erst mal die Daten haben.

Wie kommst du denn an die Längen ?
Was sind das denn für Objekte mit denen die Leitungen dargestellt werden ?
Kann man die Messungen automatisieren ?

Gib uns Info und dann - schaun wir mal

Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 13. Dez. 2006 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen Andreas!

Also grundsätzlich sind die Leitungen als Linie oder Polylinie dargestellt. Ich möchte nur die einzelnen Linien, bzw. Polylinien markieren, mir die Längen anzeigen lassen der Markierten und diese dann in Excel exportieren. Perfekt wäre, wenn man die X-, Y- Koordinaten auch noch mit exportieren könnte.
Es wäre mir eine große Hilfe und eine große Zeitersparnis, wenn das funktioniert.

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

g.r
Mitglied
Beruf? Ja! Ausbildung: auch!!


Sehen Sie sich das Profil von g.r an!   Senden Sie eine Private Message an g.r  Schreiben Sie einen Gästebucheintrag für g.r

Beiträge: 603
Registriert: 06.07.2005

ACA 2010
Scaleo, AMD Athlon64 DC4600+
acer Aspire 8930 4C 4GB
VISTA Ultimate
HP 750C
AMD Athlon, W2k

erstellt am: 13. Dez. 2006 13:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hallo loschy,
ich gehe mal davon aus das du mit einem "puren" ACAD zeichnest.
Was für deinen Wunsch keine große Hilfe ist.
Mir scheint, du hast Kabelverlegepläne zu bearbeiten, inkl. Massenermittlung.
Ich mußte so etwas früher mal mit einem einfachen ACAD bewerkstelligen.
Das Ganze war dann auch geschoßübergreifend. Mit den recht bescheidenen Mitteln habe ich ausschließlich mit 3D-Polylinien gearbeitet die in Bezug auf die Koordinaten der Streckenpunkte bessere Informationen liefern.
Das ist die gute Nachricht.
Eine "automatische" Auswertung gibt es bei den o.g. Voraussetzungen nicht. Der Begriff Export hat dabei eine recht komplexe Bedeutung 
Das bedeutete damals die einzelnen Strecken "listen" , nach Excel kopieren, umformatieren. Das Ergebnis war eine sehr hübsche Datenbank der gesamten Verkabelung. Allerdings war das auch richtig Arbeit.
Das ist die weniger gute Nachricht
Es gibt natürlich Programme die deine Wünsche sogar eher übererfüllen können. Das wäre aber dann warscheinlich in einem anderen Fachforum zuhause.
Gruß

------------------
  ...  günter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 13. Dez. 2006 14:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Günter,

vorerst danke für deine AW. Du hast den Nagel auf den Kopf getroffen. Mit der Liste hab ich natürlich auch schon gearbeitet, nur kann das sehr zeitaufwändig und mühselig werden. kennst du vl. zufällig eine programm hierfür?

Gruß

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 13. Dez. 2006 16:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hallo loschy,
kennst du dich ein wenig mit Lisp aus ?
Dann hätt ich da was für dich, muß aber noch zusammengebaut werden.

Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geometer
Mitglied
Vermessungsingenieur


Sehen Sie sich das Profil von Geometer an!   Senden Sie eine Private Message an Geometer  Schreiben Sie einen Gästebucheintrag für Geometer

Beiträge: 150
Registriert: 09.03.2006

Windows 7 64Bit, CARD/1, Infrastructure Design Suite Premium 2014

erstellt am: 14. Dez. 2006 07:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hallo Loschy,

hatte ein ähnliches Problem: http://ww3.cad.de/foren/ubb/Forum285/HTML/000188.shtml 
Vielleicht hilft es dir weiter

Gruß
Geometer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 14. Dez. 2006 09:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Andreas,

Leider kenn ich mich nicht wirklich mit LISP aus. Aber ein Versuch wäre es ja wert. Was muß ich tun?

Gruß,

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 14. Dez. 2006 10:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

So - ferdisch
Geht sicher auch eleganter, aber erst mal muss es funktionieren.

WICHTIG !!!!!
Excel muß geöffnet sein

viel Spass damit
Andreas

(defun c:len2excel ()
;;;Erst mal einen Auswahlsatz erstellen in dem Linien und Polylinien drinn sind:
  (setq
    satz
    (ssget
      '((-4 . "<OR") (0 . "LINE") (0 . "LWPOLYLINE") (-4 . "OR>"))
    )
  )
;;;Dann den Auswahlsatz durchlaufen und eine Liste erzeugen den Startpunkt und die Länge des Elements enthält
;;;Diese Liste, die für jedes Element erzeugt wird, packen wir gleich in eine Liste die das für alle Elemente sammelt
  (setq data_list (list))
  (setq n (1- (sslength satz)))
  (repeat (sslength satz)
    (setq ent_data (entget (setq ent_name (ssname satz n))))
    (setq data_list
  (cons
    (list (cdr (assoc 10 ent_data))
  (VLA-GET-LENGTH (VLAX-ENAME->VLA-OBJECT ent_name))
    )
    data_list
  )
    )
    (setq n (1- n))
  )
;;;jezt das Ganze in Richtung Excel - Excel muß geöffnet sein
;;; erst mal einrichten
  (if (setq excel (vlax-get-object "excel.application"))
    (progn
      (setq ExcelWorkbook (if excel
    (vlax-get-property
      excel
      "ActiveWorkbook"
    )
  )
    ExcelSheet   (if ExcelWorkbook
    (vlax-get-property
      ExcelWorkbook
      "ACTIVESHEET"
    )
  )
    ExcelCells   (if ExcelSheet
    (vlax-get-property
      ExcelSheet
      "CELLS"
    )
  )
      )
    )
    (alert "Excel nicht gefunden")
  )
;;; und dann rüberschieben
  (setq zeile 1)
  (foreach data data_list
    (setq spalte 1)
;;;aus der Koordinatenliste einen Text machen
    (setq txt "")
    (mapcar '(lambda (dummy) (setq txt (strcat txt " " dummy)))
    (mapcar 'rtos (nth 0 data))
    )
    (setq txt (substr txt 2))
    (vlax-put-property
      ExcelCells
      "ITEM"
      zeile
      spalte
      (strcat "'" txt)
    )
    (setq spalte 2)
    (vlax-put-property
      ExcelCells
      "ITEM"
      zeile
      spalte
      (vl-string-translate "." "," (rtos (nth 1 data)))
    )
    (setq zeile (1+ zeile))
  )
;;; ordentlich abmelden
  (vlax-release-object excel)
  (vlax-release-object ExcelWorkbook)
  (vlax-release-object ExcelSheet)
  (vlax-release-object ExcelCells)
;;; fertig
  (princ)
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 14. Dez. 2006 11:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Andreas,

vorerst besten Dank für die große Mühe die du dir angetan hast. Wenn du mir jetzt noch kurz beschreibst wie ich das jetzt in ACAD anwende, oder hineinschreibe, dann kann ich arbeiten auch damit.

Vielen Danke noch mal für die Unterstützung.

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 14. Dez. 2006 11:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Du kopierst dir alles von:

(defun c:len2excel ()

bis zur letzten Klammer in eine Textdatei und speicherst die unter

len2excel.lsp z.B. im Suport-Verzeichniss von acad.

Die kannst du dann mit dem Befehl _appload bzw. Menü Extras/Anwendungen laden und mit "len2excel" als Befehl verwenden.

Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 14. Dez. 2006 12:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Andreas,

so das hab ich jetzt alles so gemacht, nur bekomme ich jedesmal folgende fehlermeldung:
Fehler: no function definition: VLAX-ENAME->VLA-OBJECT

was bedeutet das?

Gruß,

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 14. Dez. 2006 12:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Oh - Mist
hab ich ganz vergessen.
Schreib nach der ersten Zeile (die mit dem defun ...)

(vl-load-com)

ins Programm (Das muß ja noch geladen werden)

Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 14. Dez. 2006 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ok, so hab das jetzt alles so erledigt, aber irgendwie funktioniert das nicht.

Ich hab jetzt eine neue Zeichnung begonnen, dort ein paar linien und polylinien gezeichnet, danach die len2excel.lsp geladen, danach den Befehl mit len2excel aufgerufen, dann fragt er micht Objekte wählen. Ja und nach der Auswahl der Objekte passiert nicht wirklich viel.

Mach ich da immer noch was falsch?!?

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 14. Dez. 2006 14:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hast du BEVOR du das Programm ausführst Excel gestartet ?
Wenn ja, dann sollte NACH der Programmausführung was im Excel drin stehen.
Spalte A: Koordinaten Startpunkt
Spalte B: Länge

Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

loschy
Mitglied
Student


Sehen Sie sich das Profil von loschy an!   Senden Sie eine Private Message an loschy  Schreiben Sie einen Gästebucheintrag für loschy

Beiträge: 17
Registriert: 12.12.2006

AutoCAD 2006
Windows XP Home Edition

erstellt am: 14. Dez. 2006 14:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

WAU Kommando retour!!!

JETZT FUNKTIONIERT ES GENAU SO WIE ICH ES WOLLTE.

Ich weiß nicht wie ich dir danken soll. Ich möchte dir aber nur sagen, du hast mir unheimlich weiter geholfen. Das ist echt goldeswert.

NOCHMALS RECHT, RECHT HERZLICHEN DANK!

SCHÖNE GRÜ?E UND JETZT SCHON FROHE WEIHNACHTEN...

GRUSS; Jürgen

------------------
LG

JL

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1331
Registriert: 11.01.2006

Win 10
ACAD 2022

erstellt am: 14. Dez. 2006 14:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

freut mich daß du dich freust.
Jeden Tag einen gute Tat (darf ich jezt wieder böse sein ?  )

Und wenn du dich mit Lisp beschäftigen willst, empfehle ich dir http://www.autolisp-tutorial.mapcar.net/

Gruß
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

surfen281
Mitglied
Student


Sehen Sie sich das Profil von surfen281 an!   Senden Sie eine Private Message an surfen281  Schreiben Sie einen Gästebucheintrag für surfen281

Beiträge: 496
Registriert: 08.09.2002

ACA 2016; MAX 2016, Photoshop.....
WIN 7 64bit; 2xXeon X5690; Quadro 4000; 48GB RAM;

erstellt am: 14. Dez. 2006 15:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

auch von mir dickes Lob!  (und natürlich 10U's!!!) 
Sowas braucht man immer wieder mal....!

Danke,
                      mARTin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Cohan Weggs
Mitglied
Dipl. Ing. Straßenbau


Sehen Sie sich das Profil von Cohan Weggs an!   Senden Sie eine Private Message an Cohan Weggs  Schreiben Sie einen Gästebucheintrag für Cohan Weggs

Beiträge: 43
Registriert: 24.06.2003

AUTOCAD 2011, 64 bit

erstellt am: 15. Mai. 2007 15:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Super, das Programm

nur eine kurze Frage: wie kann ich verhindern, das eine bereits geöffnete excel-datei (mit anderen daten) überschrieben wird, ist mir nämlich gerade passiert.
ich kann ja ohne speichern rausgehen, aber vielleicht gibts ja noch ne möglichkeit in lisp. da habe ich leider null ahnung.

danke im voraus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1451
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 15. Mai. 2007 15:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

mit rückgängig kannst Du in excel alle Befehle seit dem letzten Speichern rückgngig machen

joey

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 8070
Registriert: 09.03.2006

Kinder, kauft Kämme!
Es kommen lausige Zeiten.

erstellt am: 15. Mai. 2007 15:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

@joey nicht, wenn Du z.B. ein VBA-Makro hast laufen lassen, danach gibt es kein rückgängig mehr in Excel, nur schließen ohne speichern. Nach lisp: kA  , denke aber auch nicht.

man müßte wohl im Bereich

Code:
;;;jezt das Ganze in Richtung Excel - Excel muß geöffnet sein
;;; erst mal einrichten
  (if (setq excel (vlax-get-object "excel.application"))
    (progn
      (setq ExcelWorkbook (if excel
    (vlax-get-property
      excel
      "ActiveWorkbook"
    )
  )
    ExcelSheet  (if ExcelWorkbook
    (vlax-get-property
      ExcelWorkbook
      "ACTIVESHEET"
    )
  )
was tun, also vom Activesheet bzw. -workbook weg, aber wie genau machen mal andere ;-)
------------------
Gruß,
runkelruebe                        Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

[Diese Nachricht wurde von runkelruebe am 15. Mai. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1451
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 15. Mai. 2007 16:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von runkelruebe:
@joey nicht, wenn Du z.B. ein VBA-Makro hast laufen lassen, danach gibt es kein [i]rückgängig mehr in Excel, nur schließen ohne speichern. Nach lisp: kA    , denke aber auch nicht.

;-)[/i]


oh je, zu weit aus dem fenster gelehnt, mache zu wenig mit vba

aber noch ein tip für die zukunft, in acad 2008 ist eine solche funktion (ohne vba zu schnitzen) direkt integriert.

Joey

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ManuelKuhn
Mitglied
Techniker und DvD :-)


Sehen Sie sich das Profil von ManuelKuhn an!   Senden Sie eine Private Message an ManuelKuhn  Schreiben Sie einen Gästebucheintrag für ManuelKuhn

Beiträge: 100
Registriert: 23.03.2005

Intel XEON W3503 @ 2.4GHz
8 GB DDR3
NVIDIA QUADRO FX3800
WinXP Prof SP3 x64
ACAD 2007 + ProSteel 17.2/ 18
ACAD 2010 + ProSteel V8i S3
Rhino 3D V4
Autodesk VIZ-2006 ( bald vielleicht Max2011 :-D )

erstellt am: 07. Aug. 2008 15:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hi Leute,

muss den alten Beitrag nochmal rauskramen, habe das gleiche Problem nur handelt es sich bei mir 3dpolylinien und die bekomme ich leider mir diesem Programm net in Excel....    kann mir bitte jemand sagen, wie ich die 3dpolys in den Auswahlsatz bekomme meine LISP kentnisse sind leider NOCH sehr sehr beschränkt!??

(defun c:len2excel ()
(vl-load-com)
;;;Erst mal einen Auswahlsatz erstellen in dem Linien und Polylinien drinn sind:
  (setq
    satz
    (ssget
      '((-4 . "<OR") (0 . "LINE") (0 . "LWPOLYLINE") (-4 . "OR>"))
    )
  )
;;;Dann den Auswahlsatz durchlaufen und eine Liste erzeugen den Startpunkt und die Länge des Elements enthält
;;;Diese Liste, die für jedes Element erzeugt wird, packen wir gleich in eine Liste die das für alle Elemente sammelt
  (setq data_list (list))
  (setq n (1- (sslength satz)))
  (repeat (sslength satz)
    (setq ent_data (entget (setq ent_name (ssname satz n))))
    (setq data_list
  (cons
    (list (cdr (assoc 10 ent_data))
  (VLA-GET-LENGTH (VLAX-ENAME->VLA-OBJECT ent_name))
    )
    data_list
  )
    )
    (setq n (1- n))
  )
;;;jezt das Ganze in Richtung Excel - Excel muß geöffnet sein
;;; erst mal einrichten
  (if (setq excel (vlax-get-object "excel.application"))
    (progn
      (setq ExcelWorkbook (if excel
    (vlax-get-property
      excel
      "ActiveWorkbook"
    )
  )
    ExcelSheet  (if ExcelWorkbook
    (vlax-get-property
      ExcelWorkbook
      "ACTIVESHEET"
    )
  )
    ExcelCells  (if ExcelSheet
    (vlax-get-property
      ExcelSheet
      "CELLS"
    )
  )
      )
    )
    (alert "Excel nicht gefunden")
  )
;;; und dann rüberschieben
  (setq zeile 1)
  (foreach data data_list
    (setq spalte 1)
;;;aus der Koordinatenliste einen Text machen
    (setq txt "")
    (mapcar '(lambda (dummy) (setq txt (strcat txt " " dummy)))
    (mapcar 'rtos (nth 0 data))
    )
    (setq txt (substr txt 2))
    (vlax-put-property
      ExcelCells
      "ITEM"
      zeile
      spalte
      (strcat "'" txt)
    )
    (setq spalte 2)
    (vlax-put-property
      ExcelCells
      "ITEM"
      zeile
      spalte
      (vl-string-translate "." "," (rtos (nth 1 data)))
    )
    (setq zeile (1+ zeile))
  )
;;; ordentlich abmelden
  (vlax-release-object excel)
  (vlax-release-object ExcelWorkbook)
  (vlax-release-object ExcelSheet)
  (vlax-release-object ExcelCells)
;;; fertig
  (princ)
)

Hoffende Grüße
Manu

------------------
Immer auf der Suche nach Wissen....wenn ichs doch nur finden würde....???kann mir jemand helfen??? 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ManuelKuhn
Mitglied
Techniker und DvD :-)


Sehen Sie sich das Profil von ManuelKuhn an!   Senden Sie eine Private Message an ManuelKuhn  Schreiben Sie einen Gästebucheintrag für ManuelKuhn

Beiträge: 100
Registriert: 23.03.2005

Intel XEON W3503 @ 2.4GHz
8 GB DDR3
NVIDIA QUADRO FX3800
WinXP Prof SP3 x64
ACAD 2007 + ProSteel 17.2/ 18
ACAD 2010 + ProSteel V8i S3
Rhino 3D V4
Autodesk VIZ-2006 ( bald vielleicht Max2011 :-D )

erstellt am: 07. Aug. 2008 15:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

LÖSUNG gefunden!!!!!!       

musste einfach nur LWPOLYLINE gegen *POLYLINE ersetzten.... manchmal sieht man den Wald vor lauter Bäumen nicht...!!

------------------
Immer auf der Suche nach Wissen....wenn ichs doch nur finden würde....???kann mir jemand helfen??? 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OliCAD92
Mitglied
Konstrukteur (Bauunternehmen, Tiefbau)


Sehen Sie sich das Profil von OliCAD92 an!   Senden Sie eine Private Message an OliCAD92  Schreiben Sie einen Gästebucheintrag für OliCAD92

Beiträge: 45
Registriert: 04.06.2018

Windows 7 Enterprise 64 Bit
Intel Core i7-6700
32,0 GB DDR4
nVidia Quadro K2200
Autodesk AutoCAD Architecture 2017
Autodesk AutoCAD Architecture 2018

erstellt am: 04. Jun. 2018 11:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hallo zusammen,
auch wenn der Beitrag schon sehr alt ist, finde ich keinen anderen Beitrag auf die Stelle wo mir meine Frage beantwortet wurde.

Erstmal, an sich Funktioniert die lsp-Datei von Andreas Kraus, ich habe nur ein kleines Problem.

In der Excel Tabelle werden manche Längen in Metern geschrieben, andere in Millimetern, woran liegt das?
Kann man alle in Metern ausgeben lassen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2934
Registriert: 26.08.2002

ACAD R11 - 2021
(Plant3D)
AVIS
ACAD LT 2013- 2021
ZWCAD 2015 Versuch "nun ja"
[s]History P3D 2012/(13) SP und Hotfix([/s]<P>
Windows 10 / 64 Bit
Xeon CPU 3.5GHz
16GB Ram
NVIDIA Quadro P2000
3x Dell TV100 88P Monitore

erstellt am: 04. Jun. 2018 11:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hy

das liegt wohl an deine Einstellungen in der DWG ... Einheit

cu cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist nur die Spitze des Berges der da treibt ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OliCAD92
Mitglied
Konstrukteur (Bauunternehmen, Tiefbau)


Sehen Sie sich das Profil von OliCAD92 an!   Senden Sie eine Private Message an OliCAD92  Schreiben Sie einen Gästebucheintrag für OliCAD92

Beiträge: 45
Registriert: 04.06.2018

Windows 7 Enterprise 64 Bit
Intel Core i7-6700
32,0 GB DDR4
nVidia Quadro K2200
Autodesk AutoCAD Architecture 2017
Autodesk AutoCAD Architecture 2018

erstellt am: 04. Jun. 2018 12:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Danke für die schnelle Antwort, es lag an den Excel-Einstelungen.

Dezimaltrennzeichen war der Punkt und die Tausendertrennzeichen war das Komma.

Als ich es wieder auf den Deutschenstandard umgestellt habe, ging es wieder.

------------------
Grüße,

Oli

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

stephie-21-12-84
Mitglied
Technische Zeichnerin

Sehen Sie sich das Profil von stephie-21-12-84 an!   Senden Sie eine Private Message an stephie-21-12-84  Schreiben Sie einen Gästebucheintrag für stephie-21-12-84

Beiträge: 1
Registriert: 04.08.2022

erstellt am: 04. Aug. 2022 10:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

ACHTUNG! Sie antworten auf einen Beitrag der älter als 1 Jahr ist!


Hallo Andreas Kraus,
mir hat dein Beitrag mega weitergeholfen.

Da ich absolut keine Kenntnisse im LSP habe, bin ich auf euer Wissen und Hilfe angewiesen.

Gibt es die Möglichkeit die LSp so zu erweitern, dass auch die Winkel der Linie mit angegeben/ausgegeben werden können?

LG Stephie

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21239
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 04. Aug. 2022 10:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für loschy 10 Unities + Antwort hilfreich

Hallo stephie-21-12-84,

unabhängig von der Code-Änderung:

Dürfen wir davon ausgehen das du entgegen der bisherigen Diskussionsteilnehmer zum damaligen Zeitpunkt kein AutoCAD2006 oder älter benutzt?
Leider hast du keine Angaben über die Hard&Software gemacht in der System-Info, auch nicht im Text deines Beitrages, sonst wüssten wir dies bereits.

Aktuellere Versionen haben den Befehl DATENEXTRAKT und der liefert Polylinien wie auch Linien-Längen
und bei Linien auch die Winkelangabe.
Und wenn es nichts für deinen Anwendungsfall ist, vllt freut sich ein anderer Mitleser darüber.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz